[supervisord]
logfile=/dev/null            ; main log file; default $CWD/supervisord.log
logfile_maxbytes=0           ; max main logfile bytes b4 rotation; default 50MB
logfile_backups=10           ; # of main logfile backups; 0 means none, default 10
loglevel=info                ; log level; default info; others: debug,warn,trace
pidfile=/run/supervisord.pid ; supervisord pidfile; default supervisord.pid
nodaemon=true               ; start in foreground if true; default false
minfds=1024                  ; min. avail startup file descriptors; default 1024
minprocs=200                 ; min. avail process descriptors;default 200

[program:apache2]
command=apachectl -D "FOREGROUND" -k start
redirect_stderr=true

[program:crond]
command=cron -f
redirect_stderr=true

[program:simpbb-dafnom]
directory=/var/www/html/simpbb
process_name=%(process_num)02d
command=php artisan queue:listen --queue=dafnom --timeout=0 --sleep=2
autostart=true
autorestart=true
stopasgroup=true
killasgroup=true
user=www-data
numprocs=4
redirect_stderr=true
stdout_logfile= /var/log/supervisor/worker-dafnom.log
stopwaitsecs=3600

[program:simpbb-rekon]
directory=/var/www/html/simpbb
process_name=%(process_num)02d
command=php artisan queue:listen --queue=rekon --timeout=0 --sleep=2
autostart=true
autorestart=true
stopasgroup=true
killasgroup=true
user=www-data
numprocs=20
redirect_stderr=true
stdout_logfile= /var/log/supervisor/worker-rekon.log
stopwaitsecs=3600

[program:simpbb-sknjop]
directory=/var/www/html/simpbb
process_name=%(process_num)02d
command=php artisan queue:listen --queue=sknjop --timeout=0 --sleep=2
autostart=true
autorestart=true
stopasgroup=true
killasgroup=true
user=www-data
numprocs=4
redirect_stderr=true
stdout_logfile= /var/log/supervisor/worker-sknjop.log
stopwaitsecs=3600

[program:simpbb-default]
directory=/var/www/html/simpbb
process_name=%(process_num)02d
command=php artisan queue:listen --queue=default --timeout=0 --sleep=2
autostart=true
autorestart=true
stopasgroup=true
killasgroup=true
user=www-data
numprocs=4
redirect_stderr=true
stdout_logfile= /var/log/supervisor/worker-default.log
stopwaitsecs=3600

[program:simpbb-layanan]
directory=/var/www/html/simpbb
process_name=%(process_num)02d
command=php artisan queue:listen --queue=layanan --timeout=0 --sleep=2
autostart=true
autorestart=true
stopasgroup=true
killasgroup=true
user=www-data
numprocs=4
redirect_stderr=true
stdout_logfile= /var/log/supervisor/worker-layanan.log
stopwaitsecs=3600

[program:simpbb-sppt]
directory=/var/www/html/simpbb
process_name=%(process_num)02d
command=php artisan queue:listen --queue=sppt --timeout=0 --sleep=2
autostart=true
autorestart=true
stopasgroup=true
killasgroup=true
user=www-data
numprocs=10
redirect_stderr=true
stdout_logfile= /var/log/supervisor/worker-sppt.log
stopwaitsecs=3600

[program:simpbb-generatesk]
directory=/var/www/html/simpbb
process_name=%(process_num)02d
command=php artisan queue:listen --queue=generatesk --timeout=0 --sleep=2
autostart=true
autorestart=true
stopasgroup=true
killasgroup=true
user=www-data
numprocs=4
redirect_stderr=true
stdout_logfile= /var/log/supervisor/worker-generatesk.log
stopwaitsecs=3600

[program:simpbb-besembilan]
directory=/var/www/html/simpbb
process_name=%(process_num)02d
command=php artisan queue:listen --queue=besembilan --timeout=0 --sleep=2
autostart=true
autorestart=true
stopasgroup=true
killasgroup=true
user=www-data
numprocs=2
redirect_stderr=true
stdout_logfile= /var/log/supervisor/worker-besembilan.log
stopwaitsecs=3600


# [program:simpbb-pendataan]
# process_name=%(process_num)02d
# command=php artisan queue:listen --queue=pendataan --timeout=0 --sleep=2
# autostart=true
# autorestart=true
# stopasgroup=true
# killasgroup=true
# user=www-data
# numprocs=10
# redirect_stderr=true
# stdout_logfile= /var/log/supervisor/worker-generatesk.log
# stopwaitsecs=3600


